*{
	padding: 0;
	margin: 0;
}
body{
	background: #f7f7f7;
}

a{
    text-decoration: none;
    color: #262626;
}

.swiper {
	width: 100%;
	height: 100%;
	margin: .5rem 0;
}

.swiper-slide {
	font-size: 18px;
	background: #f7f7f7;
	text-align: center;
	overflow: hidden;

	/* Center slide text vertically */
	display: -webkit-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	-webkit-justify-content: center;
	justify-content: center;
	-webkit-box-align: center;
	-ms-flex-align: center;
	-webkit-align-items: center;
	align-items: center;
}
.swiper-slide a{
	display: block;
	width: 100%;
}

.swiper-slide img {
	display: block;
	width: 95%;
	margin: .5rem auto;
	border-radius: .5rem;
    box-shadow: 2px 2px 10px 0px #d2c1c1;
	object-fit: cover;
	height: 30vw;
}


.headBox{
	display: flex;
    padding: 10px 16px;
    justify-content: space-around;
    align-items: center;
}
.headBox .logo{
	width: 28px;
    height: 28px;
}
.headBox .search{
	background: #ffffff;
    opacity: .5;
    border-radius: 14px;
    flex: 1;
    padding: 5px 10px;
    margin-left: 10px;
    font-size: 14px;
}
.headBox .search input{
	border: none;
    outline: none;
    width: 100%;
    font-size: 14px;
}
.headBox .search-btn{
	color: #12d2f1;
	font-size: 14px;
	padding-left: .5rem;
}
.search-title{
	width: 94vw;
	margin: auto;
	font-style: 14px;
	font-weight: bolder;
	padding: 1rem;
	display: flex;
	justify-content: space-around;
	align-items: center;
}
.search-history{
	width: 80%;
}
.clear-history{
	font-size: 12px;
	color: #ec6809;
}
.history-search{
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	width: 90vw;
	margin: auto;
}
.history-search div{
	padding:.3rem .5rem;
	background: #ffffff;
	border-radius: 1rem;
	font-size: 12px;
	margin-bottom: .5rem;
	margin-right: 1rem;
}
.history-box{
	width: 100vw;
    height: 88vh;
    background: rgba(0,0,0,.05);
    position: fixed;
    top: 48px;
}

.contentBox{
	height: auto;
	width: 100vw;
	margin-bottom: 3rem;
}
.contentBox .vhead{
	display: flex;
	justify-content: space-around;
	align-items: center;
}
.contentBox .vhead .vtitle{
	margin-top: .5rem;
	width: 75%;
    height: 1.2rem;
    line-height: 1.2rem;
    font-size: 14px;
    font-weight: bolder;
    color: #12d2f1;
    padding-left: .5rem;
    border-left: .3rem solid #12d2f1;
}
.contentBox .vhead .searchKw{
	width: 100%;
}
.contentBox .vhead .vmore{
	padding: .2rem;
	font-size: 12px;
	color: #999999;
}
.videoList{
	margin: 1rem 0;
}
.vbody{
	display: flex;
	justify-content: flex-start;
	flex-wrap: wrap;
	padding: .3rem;
}
.vbody .vitem{
	width: 47vw;
	border-radius: .2rem;
    margin-top: .5rem;
    margin-right: .3rem;
    position: relative;
}
.dybody .vitem{
	width: 31vw;
}
.vitem img{
	object-fit: cover;
	width: 100%;
	height: 27vw;
	border-radius: .8rem;
}
.dybody img{
	object-fit: cover;
	width: 100%;
	height: 44vw;
	border-radius: .8rem;
}
.vitem .video-title{
    font-size: 14px;
    margin: .1rem 0;
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
.vitem .video-desc{
	font-size: 12px;
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
.vitem .video-tips{
	position: absolute;
    bottom: 3rem;
    background: rgba(0,0,0,.8);
    color: #ffffff;
    font-size: 10px;
    padding: .1rem .2rem;
    right: 0.2rem;
}
.cateBox{
	width: 100vw;
}
.cateItem{
    overflow-x: scroll;
    white-space: nowrap;
    margin: .8rem .5rem;
}
.cateItem div{
	padding: .2rem .3rem;
	display: inline-block;
	font-size: 10px;
}
.cateItem .active{
	color: #12d2f1;
}
.cateItem::-webkit-scrollbar{
    display: none;
}
.footBox{
	display: flex;
	justify-content: space-around;
	align-items: center;
	font-size: 14px;
	font-weight: 600;
	color: #262626;
	border-top: 1px solid #eae6e6;
	position: fixed;
	bottom: 0;
	width: 100vw;
    z-index: 100;
    background: #ffffff;
    user-select: none;
}
.footBox .foot-item{
	width: 20%;
	height: 3rem;
	line-height: 3rem;
	text-align: center;
}
.footBox .active{
	color: #12d2f1;
}
.no-video{
	text-align: center;
    padding-top: 10rem;
    color: #999999;
}